Bug 913921 - checkstyle: FTBFS in rawhide
Summary: checkstyle: FTBFS in rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: checkstyle
Version: rawhide
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 914651
Blocks: F19FTBFS
TreeView+ depends on / blocked
 
Reported: 2013-02-22 09:14 UTC by Dennis Gilmore
Modified: 2013-03-04 10:02 UTC (History)
6 users (show)

Fixed In Version: checkstyle-5.6-5.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-04 10:02:56 UTC


Attachments (Terms of Use)

Description Dennis Gilmore 2013-02-22 09:14:22 UTC
Your package checkstyle failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4958464

Build logs:
root.log: http://kojipkgs.fedoraproject.org/work/tasks/8464/4958464/root.log
build.log: http://kojipkgs.fedoraproject.org/work/tasks/8464/4958464/build.log
state.log: http://kojipkgs.fedoraproject.org/work/tasks/8464/4958464/state.log
NOTE: build logs are cleaned up after 1 week

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

Comment 1 Mikolaj Izdebski 2013-02-22 12:33:18 UTC
So far this package doesn't build in rawhide because
of broken bouncycastle-main, see bug #914574 for more details.

I am adding dependency on bug #914574 and I will investigate
the real cause of the FTBFS once bouncycastle-mail is fixed.

Comment 2 Mikolaj Izdebski 2013-02-22 12:36:57 UTC
In comment #1 I meant bug #914651, not bug #914574.
Fixing bug dependency. Sorry.

Comment 3 Mikolaj Izdebski 2013-02-28 13:04:59 UTC
I just sis a scratch build and this package still
fails to build from source in rawhide:

Package checkstyle (5064084):
  noarch (5064128):
    build.log           : http://kojipkgs.fedoraproject.org/work/tasks/4128/5064128/build.log
    state.log           : http://kojipkgs.fedoraproject.org/work/tasks/4128/5064128/state.log
    mock_output.log     : http://kojipkgs.fedoraproject.org/work/tasks/4128/5064128/mock_output.log
    root.log            : http://kojipkgs.fedoraproject.org/work/tasks/4128/5064128/root.log

Comment 4 Mikolaj Izdebski 2013-02-28 13:18:19 UTC
Problem with ANTLR.

Comment 5 Stanislav Ochotnicky 2013-03-04 10:02:56 UTC
http://koji.fedoraproject.org/koji/taskinfo?taskID=5075271


Note You need to log in before you can comment on or make changes to this bug.